创建 appleVppTokenTroubleshootingEvent

命名空间:microsoft.graph

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

创建新的 appleVppTokenTroubleshootingEvent 对象。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementManagedDevices.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementManagedDevices.ReadWrite.All

HTTP 请求

POST /deviceManagement/troubleshootingEvents

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,提供 appleVppTokenTroubleshootingEvent 对象的 JSON 表示形式。

下表显示创建 appleVppTokenTroubleshootingEvent 时所需的属性。

属性 类型 说明
id String 对象的 UUID。继承自 deviceManagementTroubleshootingEvent
eventDateTime DateTimeOffset 事件发生的时间。 继承自 deviceManagementTroubleshootingEvent
correlationId String 用于跟踪服务中的故障的 ID。 继承自 deviceManagementTroubleshootingEvent
troubleshootingErrorDetails deviceManagementTroubleshootingErrorDetails 包含有关错误及其修正的详细信息的对象。 继承自 deviceManagementTroubleshootingEvent
eventName String 与疑难解答事件对应的事件名称。 它是可选字段 继承自 deviceManagementTroubleshootingEvent
additionalInformation keyValuePair 集合 一组字符串键和字符串值对,提供有关疑难解答事件的其他信息 继承自 deviceManagementTroubleshootingEvent
tokenId String Apple 批量购买计划令牌标识符。

响应

如果成功,此方法在响应正文中返回 响应代码和 201 Created appleVppTokenTroubleshootingEvent 对象。

示例

请求

下面是一个请求示例。

POST https://graph.microsoft.com/v1/deviceManagement/troubleshootingEvents
Content-type: application/json
Content-length: 881

{
  "@odata.type": "#microsoft.graph.appleVppTokenTroubleshootingEvent",
  "eventDateTime": "2016-12-31T23:59:23.3984029-08:00",
  "correlationId": "Correlation Id value",
  "troubleshootingErrorDetails": {
    "@odata.type": "microsoft.graph.deviceManagementTroubleshootingErrorDetails",
    "context": "Context value",
    "failure": "Failure value",
    "failureDetails": "Failure Details value",
    "remediation": "Remediation value",
    "resources": [
      {
        "@odata.type": "microsoft.graph.deviceManagementTroubleshootingErrorResource",
        "text": "Text value",
        "link": "Link value"
      }
    ]
  },
  "eventName": "Event Name value",
  "additionalInformation": [
    {
      "@odata.type": "microsoft.graph.keyValuePair",
      "name": "Name value",
      "value": "Value value"
    }
  ],
  "tokenId": "Token Id value"
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 930

{
  "@odata.type": "#microsoft.graph.appleVppTokenTroubleshootingEvent",
  "id": "09295f26-5f26-0929-265f-2909265f2909",
  "eventDateTime": "2016-12-31T23:59:23.3984029-08:00",
  "correlationId": "Correlation Id value",
  "troubleshootingErrorDetails": {
    "@odata.type": "microsoft.graph.deviceManagementTroubleshootingErrorDetails",
    "context": "Context value",
    "failure": "Failure value",
    "failureDetails": "Failure Details value",
    "remediation": "Remediation value",
    "resources": [
      {
        "@odata.type": "microsoft.graph.deviceManagementTroubleshootingErrorResource",
        "text": "Text value",
        "link": "Link value"
      }
    ]
  },
  "eventName": "Event Name value",
  "additionalInformation": [
    {
      "@odata.type": "microsoft.graph.keyValuePair",
      "name": "Name value",
      "value": "Value value"
    }
  ],
  "tokenId": "Token Id value"
}